: Class CvsDirectoryHandler

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigedit.cvs
Class CvsDirectoryHandler

    java.lang.Object
      |
      +--org.w3c.jigedit.cvs.CvsDirectoryHandler

public class CvsDirectoryHandler
extends java.lang.Object
implements CvsHandlerInterface

Method Summary
`protected Reply` | `badAction(Request request, java.lang.String action)`
`void` | `perform(Request request, java.lang.String action, java.lang.String regexp)` Perform the action on the entity matching the given regexp
`void` | `perform(Request request, java.lang.String action, java.lang.String[] names, java.lang.String[] revs)` Perform the action on the given entity.
`void` | `perform(Request request, java.lang.String action, java.lang.String[] names, java.lang.String[] revs, java.lang.String comment)` Perform the action on the given entity.
`void` | `perform(Request request, java.lang.String action, java.lang.String regexp, java.lang.String comment)` Perform the action on the entity matching the given regexp

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### badAction

    protected Reply badAction(Request request,
                              java.lang.String action)

### perform

    public void perform(Request request,
                        java.lang.String action,
                        java.lang.String regexp,
                        java.lang.String comment)
                 throws ProtocolException

  Perform the action on the entity matching the given regexp
  Specified by:
    perform in interface CvsHandlerInterface
  Parameters:
    `request` - The request that triggered this method call.
    `action` - The action to perform.
    `regexp` - The regular expression to match
    `comment` - A string of comments describing the change.
  Throws:
    ProtocolException - If running the action failed.

### perform

    public void perform(Request request,
                        java.lang.String action,
                        java.lang.String regexp)
                 throws ProtocolException

  Perform the action on the entity matching the given regexp
  Specified by:
    perform in interface CvsHandlerInterface
  Parameters:
    `request` - The request that triggered this method call.
    `action` - The action to perform.
    `regexp` - The regular expression to match
  Throws:
    ProtocolException - If running the action failed.

### perform

    public void perform(Request request,
                        java.lang.String action,
                        java.lang.String[] names,
                        java.lang.String[] revs)
                 throws ProtocolException

  Perform the action on the given entity.
  Specified by:
    perform in interface CvsHandlerInterface
  Parameters:
    `request` - The request that triggered this method call.
    `action` - The action to perform.
    `names` - Name of files to apply the action to.
  Throws:
    ProtocolException - If running the action failed.

### perform

    public void perform(Request request,
                        java.lang.String action,
                        java.lang.String[] names,
                        java.lang.String[] revs,
                        java.lang.String comment)
                 throws ProtocolException

  Perform the action on the given entity.
  Specified by:
    perform in interface CvsHandlerInterface
  Parameters:
    `action` - The action to perform.
    `names` - The names on which the action should be performed.
    `comment` - A string of comments describing the change.
  Throws:
    ProtocolException - If running the action failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD